DSRW_FILTER_PROCESS(3)

EXPERIMENTAL_FUNC
dsrw_filter_process - Read in data and write in Karma format.

SYNOPSIS
#include <karma_dsrw.h>

flag dsrw_filter_process

(Channel channel, multi_array *multi_desc, flag (*read_func) (), void *info)

DESCRIPTION
Read in data and write in Karma format.

channel
    The channel to write the Karma data to.

multi_desc
    The multi_array descriptor to write.

func
    The function to call when new data should be read. The prototype function is <-dsrw_PROTO_read_func->.

info
    An arbitrary pointer which will be passed to <<func>>.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/